<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgFaultTransferSchemeFinalSwitchCurrentDetailMapper">


    <select id="getTransferSchemeFinalSwitchCurrentDetailByIdPage"
            resultType="com.hdkj.lt.bf.entity.dto.FhzgFaultTransferSchemeFinalSwitchCurrentDetailDTO">
        SELECT
            fscd.id id,
            fscd.switching_id switchingId,
            fscd.switch_id switchId,
            fscd.switch_name switchName,
            fscd.line_id lineId,
            fscd.line_name lineName,
            fscd.pre_loop_close_current preLoopCloseCurrent,
            fscd.loop_close_current loopCloseCurrent,
            fscd.loop_open_current loopOpenCurrent,
            fscd.current_threshold currentThreshold,
            fscd.switch_current_check switchCurrentCheck,
            fscd.max_after24h_i maxAfter24hI
        FROM
            fhzg_fault_transfer_scheme_switching_final_sw_current_detail fscd
        WHERE
            fscd.switching_id = #{switchingId}
        order by fscd.create_time desc
    </select>
</mapper>
